module  RS_FF(S,R,C,Q,QN);
input   S,R;
input   C;
output  Q,QN;

reg  Q,QN;

always  @(negedge C)
begin
  case({S,R})
    2'b00   :  begin  Q <= Q;     QN <= QN;    end
    2'b01   :  begin  Q <= 1'b0;  QN <= 1'b1;  end
    2'b10   :  begin  Q <= 1'b1;  QN <= 1'b0;  end
    2'b11   :  begin  end
    default :  begin  Q <= Q;     QN <= QN;    end
  endcase
end

endmodule